Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OgreVertexBoneAssignment.h File Reference

`#include "OgrePrerequisites.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Typedefs
typedef Ogre::VertexBoneAssignment_s | VertexBoneAssignment
| Records the assignment of a single vertex to a single bone with the corresponding weight.

## Typedef Documentation

typedef struct Ogre::VertexBoneAssignment_s Ogre::VertexBoneAssignment

| Records the assignment of a single vertex to a single bone with the corresponding weight. Remarks: This simple struct simply holds a vertex index, bone index and weight representing the assignment of a vertex to a bone for skeletal animation. There may be many of these per vertex if blended vertex assignments are allowed.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:50:58 2007